/*
 * Copyright (c) 2020, Cisco Systems, Inc.
 *
 * Licensed under the Apache License 2.0 (the "License").  You may not use
 * this file except in compliance with the License.  You can obtain a copy
 * in the file LICENSE in the source distribution or at
 * https://github.com/cisco/openosc/LICENSE
 */

#ifndef __OPENOSC_FORTIFY_MAP_METRIC_H__
#define __OPENOSC_FORTIFY_MAP_METRIC_H__


#ifdef OPENOSC_METRIC_FEATURE_ENABLED

#include "openosc_metric_objsize.h"

#if (RTD_OSC_METRIC_METHOD == RTD_ASM_LOC_METHOD)

#define ASPRINTF_MAGIC1		".loc 1 8389041"
#define ASPRINTF_MAGIC2		".loc 1 8389042"
#define ASPRINTF_MAGIC3		".loc 1 8389043"
#define ASPRINTF_MAGIC4		".loc 1 8389044"

#define DPRINTF_MAGIC1		".loc 1 8389057"
#define DPRINTF_MAGIC2		".loc 1 8389058"
#define DPRINTF_MAGIC3		".loc 1 8389059"
#define DPRINTF_MAGIC4		".loc 1 8389060"

#define FPRINTF_MAGIC1		".loc 1 8389073"
#define FPRINTF_MAGIC2		".loc 1 8389074"
#define FPRINTF_MAGIC3		".loc 1 8389075"
#define FPRINTF_MAGIC4		".loc 1 8389076"

#define FWPRINTF_MAGIC1		".loc 1 8389089"
#define FWPRINTF_MAGIC2		".loc 1 8389090"
#define FWPRINTF_MAGIC3		".loc 1 8389091"
#define FWPRINTF_MAGIC4		".loc 1 8389092"

#define PRINTF_MAGIC1		".loc 1 8389105"
#define PRINTF_MAGIC2		".loc 1 8389106"
#define PRINTF_MAGIC3		".loc 1 8389107"
#define PRINTF_MAGIC4		".loc 1 8389108"

#define SNPRINTF_MAGIC1		".loc 1 8389121"
#define SNPRINTF_MAGIC2		".loc 1 8389122"
#define SNPRINTF_MAGIC3		".loc 1 8389123"
#define SNPRINTF_MAGIC4		".loc 1 8389124"

#define SPRINTF_MAGIC1		".loc 1 8389137"
#define SPRINTF_MAGIC2		".loc 1 8389138"
#define SPRINTF_MAGIC3		".loc 1 8389139"
#define SPRINTF_MAGIC4		".loc 1 8389140"

#define SWPRINTF_MAGIC1		".loc 1 8389153"
#define SWPRINTF_MAGIC2		".loc 1 8389154"
#define SWPRINTF_MAGIC3		".loc 1 8389155"
#define SWPRINTF_MAGIC4		".loc 1 8389156"

#define WPRINTF_MAGIC1		".loc 1 8389169"
#define WPRINTF_MAGIC2		".loc 1 8389170"
#define WPRINTF_MAGIC3		".loc 1 8389171"
#define WPRINTF_MAGIC4		".loc 1 8389172"

#define CONFSTR_MAGIC1		".loc 1 8389185"
#define CONFSTR_MAGIC2		".loc 1 8389186"
#define CONFSTR_MAGIC3		".loc 1 8389187"
#define CONFSTR_MAGIC4		".loc 1 8389188"

#define FGETS_MAGIC1		".loc 1 8389201"
#define FGETS_MAGIC2		".loc 1 8389202"
#define FGETS_MAGIC3		".loc 1 8389203"
#define FGETS_MAGIC4		".loc 1 8389204"

#define FGETS_UNLOCKED_MAGIC1		".loc 1 8389217"
#define FGETS_UNLOCKED_MAGIC2		".loc 1 8389218"
#define FGETS_UNLOCKED_MAGIC3		".loc 1 8389219"
#define FGETS_UNLOCKED_MAGIC4		".loc 1 8389220"

#define FGETWS_MAGIC1		".loc 1 8389233"
#define FGETWS_MAGIC2		".loc 1 8389234"
#define FGETWS_MAGIC3		".loc 1 8389235"
#define FGETWS_MAGIC4		".loc 1 8389236"

#define FGETWS_UNLOCKED_MAGIC1		".loc 1 8389249"
#define FGETWS_UNLOCKED_MAGIC2		".loc 1 8389250"
#define FGETWS_UNLOCKED_MAGIC3		".loc 1 8389251"
#define FGETWS_UNLOCKED_MAGIC4		".loc 1 8389252"

#define FREAD_MAGIC1		".loc 1 8389265"
#define FREAD_MAGIC2		".loc 1 8389266"
#define FREAD_MAGIC3		".loc 1 8389267"
#define FREAD_MAGIC4		".loc 1 8389268"

#define FREAD_UNLOCKED_MAGIC1		".loc 1 8389281"
#define FREAD_UNLOCKED_MAGIC2		".loc 1 8389282"
#define FREAD_UNLOCKED_MAGIC3		".loc 1 8389283"
#define FREAD_UNLOCKED_MAGIC4		".loc 1 8389284"

#define GETCWD_MAGIC1		".loc 1 8389297"
#define GETCWD_MAGIC2		".loc 1 8389298"
#define GETCWD_MAGIC3		".loc 1 8389299"
#define GETCWD_MAGIC4		".loc 1 8389300"

#define GETDOMAINNAME_MAGIC1		".loc 1 8389313"
#define GETDOMAINNAME_MAGIC2		".loc 1 8389314"
#define GETDOMAINNAME_MAGIC3		".loc 1 8389315"
#define GETDOMAINNAME_MAGIC4		".loc 1 8389316"

#define GETGROUPS_MAGIC1		".loc 1 8389329"
#define GETGROUPS_MAGIC2		".loc 1 8389330"
#define GETGROUPS_MAGIC3		".loc 1 8389331"
#define GETGROUPS_MAGIC4		".loc 1 8389332"

#define GETHOSTNAME_MAGIC1		".loc 1 8389345"
#define GETHOSTNAME_MAGIC2		".loc 1 8389346"
#define GETHOSTNAME_MAGIC3		".loc 1 8389347"
#define GETHOSTNAME_MAGIC4		".loc 1 8389348"

#define GETS_MAGIC1		".loc 1 8389361"
#define GETS_MAGIC2		".loc 1 8389362"
#define GETS_MAGIC3		".loc 1 8389363"
#define GETS_MAGIC4		".loc 1 8389364"

#define GETWD_MAGIC1		".loc 1 8389377"
#define GETWD_MAGIC2		".loc 1 8389378"
#define GETWD_MAGIC3		".loc 1 8389379"
#define GETWD_MAGIC4		".loc 1 8389380"

#define LONGJMP_MAGIC1		".loc 1 8389393"
#define LONGJMP_MAGIC2		".loc 1 8389394"
#define LONGJMP_MAGIC3		".loc 1 8389395"
#define LONGJMP_MAGIC4		".loc 1 8389396"

#define MBSNRTOWCS_MAGIC1		".loc 1 8389409"
#define MBSNRTOWCS_MAGIC2		".loc 1 8389410"
#define MBSNRTOWCS_MAGIC3		".loc 1 8389411"
#define MBSNRTOWCS_MAGIC4		".loc 1 8389412"

#define MBSRTOWCS_MAGIC1		".loc 1 8389425"
#define MBSRTOWCS_MAGIC2		".loc 1 8389426"
#define MBSRTOWCS_MAGIC3		".loc 1 8389427"
#define MBSRTOWCS_MAGIC4		".loc 1 8389428"

#define MBSTOWCS_MAGIC1		".loc 1 8389441"
#define MBSTOWCS_MAGIC2		".loc 1 8389442"
#define MBSTOWCS_MAGIC3		".loc 1 8389443"
#define MBSTOWCS_MAGIC4		".loc 1 8389444"

#define MEMPCPY_MAGIC1		".loc 1 8389457"
#define MEMPCPY_MAGIC2		".loc 1 8389458"
#define MEMPCPY_MAGIC3		".loc 1 8389459"
#define MEMPCPY_MAGIC4		".loc 1 8389460"

#define POLL_MAGIC1		".loc 1 8389473"
#define POLL_MAGIC2		".loc 1 8389474"
#define POLL_MAGIC3		".loc 1 8389475"
#define POLL_MAGIC4		".loc 1 8389476"

#define PPOLL_MAGIC1		".loc 1 8389489"
#define PPOLL_MAGIC2		".loc 1 8389490"
#define PPOLL_MAGIC3		".loc 1 8389491"
#define PPOLL_MAGIC4		".loc 1 8389492"

#define PREAD_MAGIC1		".loc 1 8389505"
#define PREAD_MAGIC2		".loc 1 8389506"
#define PREAD_MAGIC3		".loc 1 8389507"
#define PREAD_MAGIC4		".loc 1 8389508"

#define READ_MAGIC1		".loc 1 8389521"
#define READ_MAGIC2		".loc 1 8389522"
#define READ_MAGIC3		".loc 1 8389523"
#define READ_MAGIC4		".loc 1 8389524"

#define READLINKAT_MAGIC1		".loc 1 8389537"
#define READLINKAT_MAGIC2		".loc 1 8389538"
#define READLINKAT_MAGIC3		".loc 1 8389539"
#define READLINKAT_MAGIC4		".loc 1 8389540"

#define READLINK_MAGIC1		".loc 1 8389553"
#define READLINK_MAGIC2		".loc 1 8389554"
#define READLINK_MAGIC3		".loc 1 8389555"
#define READLINK_MAGIC4		".loc 1 8389556"

#define REALPATH_MAGIC1		".loc 1 8389569"
#define REALPATH_MAGIC2		".loc 1 8389570"
#define REALPATH_MAGIC3		".loc 1 8389571"
#define REALPATH_MAGIC4		".loc 1 8389572"

#define RECV_MAGIC1		".loc 1 8389585"
#define RECV_MAGIC2		".loc 1 8389586"
#define RECV_MAGIC3		".loc 1 8389587"
#define RECV_MAGIC4		".loc 1 8389588"

#define RECVFROM_MAGIC1		".loc 1 8389601"
#define RECVFROM_MAGIC2		".loc 1 8389602"
#define RECVFROM_MAGIC3		".loc 1 8389603"
#define RECVFROM_MAGIC4		".loc 1 8389604"

#define STPCPY_MAGIC1		".loc 1 8389617"
#define STPCPY_MAGIC2		".loc 1 8389618"
#define STPCPY_MAGIC3		".loc 1 8389619"
#define STPCPY_MAGIC4		".loc 1 8389620"

#define STPNCPY_MAGIC1		".loc 1 8389633"
#define STPNCPY_MAGIC2		".loc 1 8389634"
#define STPNCPY_MAGIC3		".loc 1 8389635"
#define STPNCPY_MAGIC4		".loc 1 8389636"

#define TTYNAME_R_MAGIC1		".loc 1 8389649"
#define TTYNAME_R_MAGIC2		".loc 1 8389650"
#define TTYNAME_R_MAGIC3		".loc 1 8389651"
#define TTYNAME_R_MAGIC4		".loc 1 8389652"

#define VASPRINTF_MAGIC1		".loc 1 8389665"
#define VASPRINTF_MAGIC2		".loc 1 8389666"
#define VASPRINTF_MAGIC3		".loc 1 8389667"
#define VASPRINTF_MAGIC4		".loc 1 8389668"

#define VDPRINTF_MAGIC1		".loc 1 8389681"
#define VDPRINTF_MAGIC2		".loc 1 8389682"
#define VDPRINTF_MAGIC3		".loc 1 8389683"
#define VDPRINTF_MAGIC4		".loc 1 8389684"

#define VFPRINTF_MAGIC1		".loc 1 8389697"
#define VFPRINTF_MAGIC2		".loc 1 8389698"
#define VFPRINTF_MAGIC3		".loc 1 8389699"
#define VFPRINTF_MAGIC4		".loc 1 8389700"

#define VFWPRINTF_MAGIC1		".loc 1 8389713"
#define VFWPRINTF_MAGIC2		".loc 1 8389714"
#define VFWPRINTF_MAGIC3		".loc 1 8389715"
#define VFWPRINTF_MAGIC4		".loc 1 8389716"

#define VPRINTF_MAGIC1		".loc 1 8389729"
#define VPRINTF_MAGIC2		".loc 1 8389730"
#define VPRINTF_MAGIC3		".loc 1 8389731"
#define VPRINTF_MAGIC4		".loc 1 8389732"

#define VSPRINTF_MAGIC1		".loc 1 8389745"
#define VSPRINTF_MAGIC2		".loc 1 8389746"
#define VSPRINTF_MAGIC3		".loc 1 8389747"
#define VSPRINTF_MAGIC4		".loc 1 8389748"

#define VSWPRINTF_MAGIC1		".loc 1 8389761"
#define VSWPRINTF_MAGIC2		".loc 1 8389762"
#define VSWPRINTF_MAGIC3		".loc 1 8389763"
#define VSWPRINTF_MAGIC4		".loc 1 8389764"

#define VWPRINTF_MAGIC1		".loc 1 8389777"
#define VWPRINTF_MAGIC2		".loc 1 8389778"
#define VWPRINTF_MAGIC3		".loc 1 8389779"
#define VWPRINTF_MAGIC4		".loc 1 8389780"

#define WCPCPY_MAGIC1		".loc 1 8389793"
#define WCPCPY_MAGIC2		".loc 1 8389794"
#define WCPCPY_MAGIC3		".loc 1 8389795"
#define WCPCPY_MAGIC4		".loc 1 8389796"

#define WCPNCPY_MAGIC1		".loc 1 8389809"
#define WCPNCPY_MAGIC2		".loc 1 8389810"
#define WCPNCPY_MAGIC3		".loc 1 8389811"
#define WCPNCPY_MAGIC4		".loc 1 8389812"

#define WCRTOMB_MAGIC1		".loc 1 8389825"
#define WCRTOMB_MAGIC2		".loc 1 8389826"
#define WCRTOMB_MAGIC3		".loc 1 8389827"
#define WCRTOMB_MAGIC4		".loc 1 8389828"

#define WCSCAT_MAGIC1		".loc 1 8389841"
#define WCSCAT_MAGIC2		".loc 1 8389842"
#define WCSCAT_MAGIC3		".loc 1 8389843"
#define WCSCAT_MAGIC4		".loc 1 8389844"

#define WCSCPY_MAGIC1		".loc 1 8389857"
#define WCSCPY_MAGIC2		".loc 1 8389858"
#define WCSCPY_MAGIC3		".loc 1 8389859"
#define WCSCPY_MAGIC4		".loc 1 8389860"

#define WCSNCAT_MAGIC1		".loc 1 8389873"
#define WCSNCAT_MAGIC2		".loc 1 8389874"
#define WCSNCAT_MAGIC3		".loc 1 8389875"
#define WCSNCAT_MAGIC4		".loc 1 8389876"

#define WCSNCPY_MAGIC1		".loc 1 8389889"
#define WCSNCPY_MAGIC2		".loc 1 8389890"
#define WCSNCPY_MAGIC3		".loc 1 8389891"
#define WCSNCPY_MAGIC4		".loc 1 8389892"

#define WCSNRTOMBS_MAGIC1		".loc 1 8389905"
#define WCSNRTOMBS_MAGIC2		".loc 1 8389906"
#define WCSNRTOMBS_MAGIC3		".loc 1 8389907"
#define WCSNRTOMBS_MAGIC4		".loc 1 8389908"

#define WCSRTOMBS_MAGIC1		".loc 1 8389921"
#define WCSRTOMBS_MAGIC2		".loc 1 8389922"
#define WCSRTOMBS_MAGIC3		".loc 1 8389923"
#define WCSRTOMBS_MAGIC4		".loc 1 8389924"

#define WCSTOMBS_MAGIC1		".loc 1 8389937"
#define WCSTOMBS_MAGIC2		".loc 1 8389938"
#define WCSTOMBS_MAGIC3		".loc 1 8389939"
#define WCSTOMBS_MAGIC4		".loc 1 8389940"

#define WCTOMB_MAGIC1		".loc 1 8389953"
#define WCTOMB_MAGIC2		".loc 1 8389954"
#define WCTOMB_MAGIC3		".loc 1 8389955"
#define WCTOMB_MAGIC4		".loc 1 8389956"

#define WMEMCPY_MAGIC1		".loc 1 8389969"
#define WMEMCPY_MAGIC2		".loc 1 8389970"
#define WMEMCPY_MAGIC3		".loc 1 8389971"
#define WMEMCPY_MAGIC4		".loc 1 8389972"

#define WMEMMOVE_MAGIC1		".loc 1 8389985"
#define WMEMMOVE_MAGIC2		".loc 1 8389986"
#define WMEMMOVE_MAGIC3		".loc 1 8389987"
#define WMEMMOVE_MAGIC4		".loc 1 8389988"

#define WMEMPCPY_MAGIC1		".loc 1 8390001"
#define WMEMPCPY_MAGIC2		".loc 1 8390002"
#define WMEMPCPY_MAGIC3		".loc 1 8390003"
#define WMEMPCPY_MAGIC4		".loc 1 8390004"

#define WMEMSET_MAGIC1		".loc 1 8390017"
#define WMEMSET_MAGIC2		".loc 1 8390018"
#define WMEMSET_MAGIC3		".loc 1 8390019"
#define WMEMSET_MAGIC4		".loc 1 8390020"

#elif (RTD_OSC_METRIC_METHOD == RTD_ASM_BYTE_METHOD)

#define ASPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1, 0x2\n" OSC_JUMPLABEL
#define ASPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1, 0x3\n" OSC_JUMPLABEL
#define ASPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1, 0x4\n" OSC_JUMPLABEL
#define ASPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1, 0x5\n" OSC_JUMPLABEL

#define CONFSTR_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2, 0x2\n" OSC_JUMPLABEL
#define CONFSTR_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2, 0x3\n" OSC_JUMPLABEL
#define CONFSTR_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2, 0x4\n" OSC_JUMPLABEL
#define CONFSTR_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2, 0x5\n" OSC_JUMPLABEL

#define DPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3, 0x2\n" OSC_JUMPLABEL
#define DPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3, 0x3\n" OSC_JUMPLABEL
#define DPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3, 0x4\n" OSC_JUMPLABEL
#define DPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3, 0x5\n" OSC_JUMPLABEL

#define FGETS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x4, 0x2\n" OSC_JUMPLABEL
#define FGETS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x4, 0x3\n" OSC_JUMPLABEL
#define FGETS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x4, 0x4\n" OSC_JUMPLABEL
#define FGETS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x4, 0x5\n" OSC_JUMPLABEL

#define FGETS_UNLOCKED_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x5, 0x2\n" OSC_JUMPLABEL
#define FGETS_UNLOCKED_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x5, 0x3\n" OSC_JUMPLABEL
#define FGETS_UNLOCKED_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x5, 0x4\n" OSC_JUMPLABEL
#define FGETS_UNLOCKED_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x5, 0x5\n" OSC_JUMPLABEL

#define FGETWS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x6, 0x2\n" OSC_JUMPLABEL
#define FGETWS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x6, 0x3\n" OSC_JUMPLABEL
#define FGETWS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x6, 0x4\n" OSC_JUMPLABEL
#define FGETWS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x6, 0x5\n" OSC_JUMPLABEL

#define FGETWS_UNLOCKED_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x7, 0x2\n" OSC_JUMPLABEL
#define FGETWS_UNLOCKED_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x7, 0x3\n" OSC_JUMPLABEL
#define FGETWS_UNLOCKED_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x7, 0x4\n" OSC_JUMPLABEL
#define FGETWS_UNLOCKED_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x7, 0x5\n" OSC_JUMPLABEL

#define FPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x8, 0x2\n" OSC_JUMPLABEL
#define FPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x8, 0x3\n" OSC_JUMPLABEL
#define FPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x8, 0x4\n" OSC_JUMPLABEL
#define FPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x8, 0x5\n" OSC_JUMPLABEL

#define FREAD_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x9, 0x2\n" OSC_JUMPLABEL
#define FREAD_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x9, 0x3\n" OSC_JUMPLABEL
#define FREAD_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x9, 0x4\n" OSC_JUMPLABEL
#define FREAD_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x9, 0x5\n" OSC_JUMPLABEL

#define FREAD_UNLOCKED_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xa, 0x2\n" OSC_JUMPLABEL
#define FREAD_UNLOCKED_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xa, 0x3\n" OSC_JUMPLABEL
#define FREAD_UNLOCKED_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xa, 0x4\n" OSC_JUMPLABEL
#define FREAD_UNLOCKED_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xa, 0x5\n" OSC_JUMPLABEL

#define FWPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xb, 0x2\n" OSC_JUMPLABEL
#define FWPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xb, 0x3\n" OSC_JUMPLABEL
#define FWPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xb, 0x4\n" OSC_JUMPLABEL
#define FWPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xb, 0x5\n" OSC_JUMPLABEL

#define GETCWD_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xc, 0x2\n" OSC_JUMPLABEL
#define GETCWD_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xc, 0x3\n" OSC_JUMPLABEL
#define GETCWD_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xc, 0x4\n" OSC_JUMPLABEL
#define GETCWD_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xc, 0x5\n" OSC_JUMPLABEL

#define GETDOMAINNAME_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xd, 0x2\n" OSC_JUMPLABEL
#define GETDOMAINNAME_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xd, 0x3\n" OSC_JUMPLABEL
#define GETDOMAINNAME_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xd, 0x4\n" OSC_JUMPLABEL
#define GETDOMAINNAME_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xd, 0x5\n" OSC_JUMPLABEL

#define GETGROUPS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xe, 0x2\n" OSC_JUMPLABEL
#define GETGROUPS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xe, 0x3\n" OSC_JUMPLABEL
#define GETGROUPS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xe, 0x4\n" OSC_JUMPLABEL
#define GETGROUPS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xe, 0x5\n" OSC_JUMPLABEL

#define GETHOSTNAME_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xf, 0x2\n" OSC_JUMPLABEL
#define GETHOSTNAME_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xf, 0x3\n" OSC_JUMPLABEL
#define GETHOSTNAME_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xf, 0x4\n" OSC_JUMPLABEL
#define GETHOSTNAME_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0xf, 0x5\n" OSC_JUMPLABEL

#define GETS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x10, 0x2\n" OSC_JUMPLABEL
#define GETS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x10, 0x3\n" OSC_JUMPLABEL
#define GETS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x10, 0x4\n" OSC_JUMPLABEL
#define GETS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x10, 0x5\n" OSC_JUMPLABEL

#define GETWD_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x11, 0x2\n" OSC_JUMPLABEL
#define GETWD_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x11, 0x3\n" OSC_JUMPLABEL
#define GETWD_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x11, 0x4\n" OSC_JUMPLABEL
#define GETWD_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x11, 0x5\n" OSC_JUMPLABEL

#define LONGJMP_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x12, 0x2\n" OSC_JUMPLABEL
#define LONGJMP_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x12, 0x3\n" OSC_JUMPLABEL
#define LONGJMP_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x12, 0x4\n" OSC_JUMPLABEL
#define LONGJMP_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x12, 0x5\n" OSC_JUMPLABEL

#define MBSNRTOWCS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x13, 0x2\n" OSC_JUMPLABEL
#define MBSNRTOWCS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x13, 0x3\n" OSC_JUMPLABEL
#define MBSNRTOWCS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x13, 0x4\n" OSC_JUMPLABEL
#define MBSNRTOWCS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x13, 0x5\n" OSC_JUMPLABEL

#define MBSRTOWCS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x14, 0x2\n" OSC_JUMPLABEL
#define MBSRTOWCS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x14, 0x3\n" OSC_JUMPLABEL
#define MBSRTOWCS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x14, 0x4\n" OSC_JUMPLABEL
#define MBSRTOWCS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x14, 0x5\n" OSC_JUMPLABEL

#define MBSTOWCS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x15, 0x2\n" OSC_JUMPLABEL
#define MBSTOWCS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x15, 0x3\n" OSC_JUMPLABEL
#define MBSTOWCS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x15, 0x4\n" OSC_JUMPLABEL
#define MBSTOWCS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x15, 0x5\n" OSC_JUMPLABEL

#define MEMPCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x16, 0x2\n" OSC_JUMPLABEL
#define MEMPCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x16, 0x3\n" OSC_JUMPLABEL
#define MEMPCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x16, 0x4\n" OSC_JUMPLABEL
#define MEMPCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x16, 0x5\n" OSC_JUMPLABEL

#define POLL_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x17, 0x2\n" OSC_JUMPLABEL
#define POLL_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x17, 0x3\n" OSC_JUMPLABEL
#define POLL_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x17, 0x4\n" OSC_JUMPLABEL
#define POLL_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x17, 0x5\n" OSC_JUMPLABEL

#define PPOLL_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x18, 0x2\n" OSC_JUMPLABEL
#define PPOLL_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x18, 0x3\n" OSC_JUMPLABEL
#define PPOLL_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x18, 0x4\n" OSC_JUMPLABEL
#define PPOLL_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x18, 0x5\n" OSC_JUMPLABEL

#define PREAD_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x19, 0x2\n" OSC_JUMPLABEL
#define PREAD_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x19, 0x3\n" OSC_JUMPLABEL
#define PREAD_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x19, 0x4\n" OSC_JUMPLABEL
#define PREAD_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x19, 0x5\n" OSC_JUMPLABEL

#define PRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1a, 0x2\n" OSC_JUMPLABEL
#define PRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1a, 0x3\n" OSC_JUMPLABEL
#define PRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1a, 0x4\n" OSC_JUMPLABEL
#define PRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1a, 0x5\n" OSC_JUMPLABEL

#define READ_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1b, 0x2\n" OSC_JUMPLABEL
#define READ_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1b, 0x3\n" OSC_JUMPLABEL
#define READ_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1b, 0x4\n" OSC_JUMPLABEL
#define READ_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1b, 0x5\n" OSC_JUMPLABEL

#define READLINKAT_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1c, 0x2\n" OSC_JUMPLABEL
#define READLINKAT_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1c, 0x3\n" OSC_JUMPLABEL
#define READLINKAT_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1c, 0x4\n" OSC_JUMPLABEL
#define READLINKAT_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1c, 0x5\n" OSC_JUMPLABEL

#define READLINK_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1d, 0x2\n" OSC_JUMPLABEL
#define READLINK_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1d, 0x3\n" OSC_JUMPLABEL
#define READLINK_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1d, 0x4\n" OSC_JUMPLABEL
#define READLINK_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1d, 0x5\n" OSC_JUMPLABEL

#define REALPATH_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1e, 0x2\n" OSC_JUMPLABEL
#define REALPATH_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1e, 0x3\n" OSC_JUMPLABEL
#define REALPATH_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1e, 0x4\n" OSC_JUMPLABEL
#define REALPATH_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1e, 0x5\n" OSC_JUMPLABEL

#define RECV_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1f, 0x2\n" OSC_JUMPLABEL
#define RECV_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1f, 0x3\n" OSC_JUMPLABEL
#define RECV_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1f, 0x4\n" OSC_JUMPLABEL
#define RECV_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x1f, 0x5\n" OSC_JUMPLABEL

#define RECVFROM_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x20, 0x2\n" OSC_JUMPLABEL
#define RECVFROM_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x20, 0x3\n" OSC_JUMPLABEL
#define RECVFROM_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x20, 0x4\n" OSC_JUMPLABEL
#define RECVFROM_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x20, 0x5\n" OSC_JUMPLABEL

#define SNPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x21, 0x2\n" OSC_JUMPLABEL
#define SNPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x21, 0x3\n" OSC_JUMPLABEL
#define SNPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x21, 0x4\n" OSC_JUMPLABEL
#define SNPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x21, 0x5\n" OSC_JUMPLABEL

#define SPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x22, 0x2\n" OSC_JUMPLABEL
#define SPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x22, 0x3\n" OSC_JUMPLABEL
#define SPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x22, 0x4\n" OSC_JUMPLABEL
#define SPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x22, 0x5\n" OSC_JUMPLABEL

#define STPCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x23, 0x2\n" OSC_JUMPLABEL
#define STPCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x23, 0x3\n" OSC_JUMPLABEL
#define STPCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x23, 0x4\n" OSC_JUMPLABEL
#define STPCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x23, 0x5\n" OSC_JUMPLABEL

#define STPNCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x24, 0x2\n" OSC_JUMPLABEL
#define STPNCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x24, 0x3\n" OSC_JUMPLABEL
#define STPNCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x24, 0x4\n" OSC_JUMPLABEL
#define STPNCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x24, 0x5\n" OSC_JUMPLABEL

#define SWPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x25, 0x2\n" OSC_JUMPLABEL
#define SWPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x25, 0x3\n" OSC_JUMPLABEL
#define SWPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x25, 0x4\n" OSC_JUMPLABEL
#define SWPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x25, 0x5\n" OSC_JUMPLABEL

#define TTYNAME_R_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x26, 0x2\n" OSC_JUMPLABEL
#define TTYNAME_R_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x26, 0x3\n" OSC_JUMPLABEL
#define TTYNAME_R_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x26, 0x4\n" OSC_JUMPLABEL
#define TTYNAME_R_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x26, 0x5\n" OSC_JUMPLABEL

#define VASPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x27, 0x2\n" OSC_JUMPLABEL
#define VASPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x27, 0x3\n" OSC_JUMPLABEL
#define VASPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x27, 0x4\n" OSC_JUMPLABEL
#define VASPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x27, 0x5\n" OSC_JUMPLABEL

#define VDPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x28, 0x2\n" OSC_JUMPLABEL
#define VDPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x28, 0x3\n" OSC_JUMPLABEL
#define VDPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x28, 0x4\n" OSC_JUMPLABEL
#define VDPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x28, 0x5\n" OSC_JUMPLABEL

#define VFPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x29, 0x2\n" OSC_JUMPLABEL
#define VFPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x29, 0x3\n" OSC_JUMPLABEL
#define VFPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x29, 0x4\n" OSC_JUMPLABEL
#define VFPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x29, 0x5\n" OSC_JUMPLABEL

#define VFWPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2a, 0x2\n" OSC_JUMPLABEL
#define VFWPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2a, 0x3\n" OSC_JUMPLABEL
#define VFWPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2a, 0x4\n" OSC_JUMPLABEL
#define VFWPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2a, 0x5\n" OSC_JUMPLABEL

#define VPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2b, 0x2\n" OSC_JUMPLABEL
#define VPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2b, 0x3\n" OSC_JUMPLABEL
#define VPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2b, 0x4\n" OSC_JUMPLABEL
#define VPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2b, 0x5\n" OSC_JUMPLABEL

#define VSPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2c, 0x2\n" OSC_JUMPLABEL
#define VSPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2c, 0x3\n" OSC_JUMPLABEL
#define VSPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2c, 0x4\n" OSC_JUMPLABEL
#define VSPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2c, 0x5\n" OSC_JUMPLABEL

#define VSWPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2d, 0x2\n" OSC_JUMPLABEL
#define VSWPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2d, 0x3\n" OSC_JUMPLABEL
#define VSWPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2d, 0x4\n" OSC_JUMPLABEL
#define VSWPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2d, 0x5\n" OSC_JUMPLABEL

#define VWPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2e, 0x2\n" OSC_JUMPLABEL
#define VWPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2e, 0x3\n" OSC_JUMPLABEL
#define VWPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2e, 0x4\n" OSC_JUMPLABEL
#define VWPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2e, 0x5\n" OSC_JUMPLABEL

#define WCPCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2f, 0x2\n" OSC_JUMPLABEL
#define WCPCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2f, 0x3\n" OSC_JUMPLABEL
#define WCPCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2f, 0x4\n" OSC_JUMPLABEL
#define WCPCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x2f, 0x5\n" OSC_JUMPLABEL

#define WCPNCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x30, 0x2\n" OSC_JUMPLABEL
#define WCPNCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x30, 0x3\n" OSC_JUMPLABEL
#define WCPNCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x30, 0x4\n" OSC_JUMPLABEL
#define WCPNCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x30, 0x5\n" OSC_JUMPLABEL

#define WCRTOMB_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x31, 0x2\n" OSC_JUMPLABEL
#define WCRTOMB_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x31, 0x3\n" OSC_JUMPLABEL
#define WCRTOMB_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x31, 0x4\n" OSC_JUMPLABEL
#define WCRTOMB_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x31, 0x5\n" OSC_JUMPLABEL

#define WCSCAT_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x32, 0x2\n" OSC_JUMPLABEL
#define WCSCAT_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x32, 0x3\n" OSC_JUMPLABEL
#define WCSCAT_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x32, 0x4\n" OSC_JUMPLABEL
#define WCSCAT_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x32, 0x5\n" OSC_JUMPLABEL

#define WCSCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x33, 0x2\n" OSC_JUMPLABEL
#define WCSCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x33, 0x3\n" OSC_JUMPLABEL
#define WCSCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x33, 0x4\n" OSC_JUMPLABEL
#define WCSCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x33, 0x5\n" OSC_JUMPLABEL

#define WCSNCAT_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x34, 0x2\n" OSC_JUMPLABEL
#define WCSNCAT_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x34, 0x3\n" OSC_JUMPLABEL
#define WCSNCAT_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x34, 0x4\n" OSC_JUMPLABEL
#define WCSNCAT_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x34, 0x5\n" OSC_JUMPLABEL

#define WCSNCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x35, 0x2\n" OSC_JUMPLABEL
#define WCSNCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x35, 0x3\n" OSC_JUMPLABEL
#define WCSNCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x35, 0x4\n" OSC_JUMPLABEL
#define WCSNCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x35, 0x5\n" OSC_JUMPLABEL

#define WCSNRTOMBS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x36, 0x2\n" OSC_JUMPLABEL
#define WCSNRTOMBS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x36, 0x3\n" OSC_JUMPLABEL
#define WCSNRTOMBS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x36, 0x4\n" OSC_JUMPLABEL
#define WCSNRTOMBS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x36, 0x5\n" OSC_JUMPLABEL

#define WCSRTOMBS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x37, 0x2\n" OSC_JUMPLABEL
#define WCSRTOMBS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x37, 0x3\n" OSC_JUMPLABEL
#define WCSRTOMBS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x37, 0x4\n" OSC_JUMPLABEL
#define WCSRTOMBS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x37, 0x5\n" OSC_JUMPLABEL

#define WCSTOMBS_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x38, 0x2\n" OSC_JUMPLABEL
#define WCSTOMBS_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x38, 0x3\n" OSC_JUMPLABEL
#define WCSTOMBS_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x38, 0x4\n" OSC_JUMPLABEL
#define WCSTOMBS_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x38, 0x5\n" OSC_JUMPLABEL

#define WCTOMB_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x39, 0x2\n" OSC_JUMPLABEL
#define WCTOMB_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x39, 0x3\n" OSC_JUMPLABEL
#define WCTOMB_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x39, 0x4\n" OSC_JUMPLABEL
#define WCTOMB_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x39, 0x5\n" OSC_JUMPLABEL

#define WMEMCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3a, 0x2\n" OSC_JUMPLABEL
#define WMEMCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3a, 0x3\n" OSC_JUMPLABEL
#define WMEMCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3a, 0x4\n" OSC_JUMPLABEL
#define WMEMCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3a, 0x5\n" OSC_JUMPLABEL

#define WMEMMOVE_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3b, 0x2\n" OSC_JUMPLABEL
#define WMEMMOVE_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3b, 0x3\n" OSC_JUMPLABEL
#define WMEMMOVE_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3b, 0x4\n" OSC_JUMPLABEL
#define WMEMMOVE_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3b, 0x5\n" OSC_JUMPLABEL

#define WMEMPCPY_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3c, 0x2\n" OSC_JUMPLABEL
#define WMEMPCPY_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3c, 0x3\n" OSC_JUMPLABEL
#define WMEMPCPY_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3c, 0x4\n" OSC_JUMPLABEL
#define WMEMPCPY_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3c, 0x5\n" OSC_JUMPLABEL

#define WMEMSET_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3d, 0x2\n" OSC_JUMPLABEL
#define WMEMSET_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3d, 0x3\n" OSC_JUMPLABEL
#define WMEMSET_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3d, 0x4\n" OSC_JUMPLABEL
#define WMEMSET_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3d, 0x5\n" OSC_JUMPLABEL

#define WPRINTF_MAGIC1		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3e, 0x2\n" OSC_JUMPLABEL
#define WPRINTF_MAGIC2		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3e, 0x3\n" OSC_JUMPLABEL
#define WPRINTF_MAGIC3		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3e, 0x4\n" OSC_JUMPLABEL
#define WPRINTF_MAGIC4		OSC_JUMPOVER ".byte 0x4d, 0x41, 0x47, 0x49, 0x43, 0xd2, 0x3e, 0x5\n" OSC_JUMPLABEL

#endif  /* (RTD_OSC_METRIC_METHOD == RTD_ASM_LOC_METHOD) */

#define ASPRINTF_CASE1		({__asm__(ASPRINTF_MAGIC1);}),
#define ASPRINTF_CASE2		({__asm__(ASPRINTF_MAGIC2);}),
#define ASPRINTF_CASE3		({__asm__(ASPRINTF_MAGIC3);}),
#define ASPRINTF_CASE4		({__asm__(ASPRINTF_MAGIC4);}),

#define CONFSTR_CASE1		({__asm__(CONFSTR_MAGIC1);}), OSC_DSTSIZE(_sz)
#define CONFSTR_CASE2		({__asm__(CONFSTR_MAGIC2);}), OSC_DSTSIZE(_sz)
#define CONFSTR_CASE3		({__asm__(CONFSTR_MAGIC3);}), OSC_DSTSIZE(_sz)
#define CONFSTR_CASE4		({__asm__(CONFSTR_MAGIC4);}), OSC_DSTSIZE(_sz)

#define DPRINTF_CASE1		({__asm__(DPRINTF_MAGIC1);}),
#define DPRINTF_CASE2		({__asm__(DPRINTF_MAGIC2);}),
#define DPRINTF_CASE3		({__asm__(DPRINTF_MAGIC3);}),
#define DPRINTF_CASE4		({__asm__(DPRINTF_MAGIC4);}),

#define FGETS_CASE1		({__asm__(FGETS_MAGIC1);}), OSC_DSTSIZE(_sz)
#define FGETS_CASE2		({__asm__(FGETS_MAGIC2);}), OSC_DSTSIZE(_sz)
#define FGETS_CASE3		({__asm__(FGETS_MAGIC3);}), OSC_DSTSIZE(_sz)
#define FGETS_CASE4		({__asm__(FGETS_MAGIC4);}), OSC_DSTSIZE(_sz)

#define FGETS_UNLOCKED_CASE1		({__asm__(FGETS_UNLOCKED_MAGIC1);}), OSC_DSTSIZE(_sz)
#define FGETS_UNLOCKED_CASE2		({__asm__(FGETS_UNLOCKED_MAGIC2);}), OSC_DSTSIZE(_sz)
#define FGETS_UNLOCKED_CASE3		({__asm__(FGETS_UNLOCKED_MAGIC3);}), OSC_DSTSIZE(_sz)
#define FGETS_UNLOCKED_CASE4		({__asm__(FGETS_UNLOCKED_MAGIC4);}), OSC_DSTSIZE(_sz)

#define FGETWS_CASE1		({__asm__(FGETWS_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define FGETWS_CASE2		({__asm__(FGETWS_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define FGETWS_CASE3		({__asm__(FGETWS_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define FGETWS_CASE4		({__asm__(FGETWS_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define FGETWS_UNLOCKED_CASE1		({__asm__(FGETWS_UNLOCKED_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define FGETWS_UNLOCKED_CASE2		({__asm__(FGETWS_UNLOCKED_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define FGETWS_UNLOCKED_CASE3		({__asm__(FGETWS_UNLOCKED_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define FGETWS_UNLOCKED_CASE4		({__asm__(FGETWS_UNLOCKED_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define FPRINTF_CASE1		({__asm__(FPRINTF_MAGIC1);}),
#define FPRINTF_CASE2		({__asm__(FPRINTF_MAGIC2);}),
#define FPRINTF_CASE3		({__asm__(FPRINTF_MAGIC3);}),
#define FPRINTF_CASE4		({__asm__(FPRINTF_MAGIC4);}),

#define FREAD_CASE1		({__asm__(FREAD_MAGIC1);}), OSC_DSTSIZE(_sz)
#define FREAD_CASE2		({__asm__(FREAD_MAGIC2);}), OSC_DSTSIZE(_sz)
#define FREAD_CASE3		({__asm__(FREAD_MAGIC3);}), OSC_DSTSIZE(_sz)
#define FREAD_CASE4		({__asm__(FREAD_MAGIC4);}), OSC_DSTSIZE(_sz)

#define FREAD_UNLOCKED_CASE1		({__asm__(FREAD_UNLOCKED_MAGIC1);}), OSC_DSTSIZE(_sz)
#define FREAD_UNLOCKED_CASE2		({__asm__(FREAD_UNLOCKED_MAGIC2);}), OSC_DSTSIZE(_sz)
#define FREAD_UNLOCKED_CASE3		({__asm__(FREAD_UNLOCKED_MAGIC3);}), OSC_DSTSIZE(_sz)
#define FREAD_UNLOCKED_CASE4		({__asm__(FREAD_UNLOCKED_MAGIC4);}), OSC_DSTSIZE(_sz)

#define FWPRINTF_CASE1		({__asm__(FWPRINTF_MAGIC1);}),
#define FWPRINTF_CASE2		({__asm__(FWPRINTF_MAGIC2);}),
#define FWPRINTF_CASE3		({__asm__(FWPRINTF_MAGIC3);}),
#define FWPRINTF_CASE4		({__asm__(FWPRINTF_MAGIC4);}),

#define GETCWD_CASE1		({__asm__(GETCWD_MAGIC1);}), OSC_DSTSIZE(_sz)
#define GETCWD_CASE2		({__asm__(GETCWD_MAGIC2);}), OSC_DSTSIZE(_sz)
#define GETCWD_CASE3		({__asm__(GETCWD_MAGIC3);}), OSC_DSTSIZE(_sz)
#define GETCWD_CASE4		({__asm__(GETCWD_MAGIC4);}), OSC_DSTSIZE(_sz)

#define GETDOMAINNAME_CASE1		({__asm__(GETDOMAINNAME_MAGIC1);}), OSC_DSTSIZE(_sz)
#define GETDOMAINNAME_CASE2		({__asm__(GETDOMAINNAME_MAGIC2);}), OSC_DSTSIZE(_sz)
#define GETDOMAINNAME_CASE3		({__asm__(GETDOMAINNAME_MAGIC3);}), OSC_DSTSIZE(_sz)
#define GETDOMAINNAME_CASE4		({__asm__(GETDOMAINNAME_MAGIC4);}), OSC_DSTSIZE(_sz)

#define GETGROUPS_CASE1		({__asm__(GETGROUPS_MAGIC1);}), OSC_DSTSIZE(_sz)
#define GETGROUPS_CASE2		({__asm__(GETGROUPS_MAGIC2);}), OSC_DSTSIZE(_sz)
#define GETGROUPS_CASE3		({__asm__(GETGROUPS_MAGIC3);}), OSC_DSTSIZE(_sz)
#define GETGROUPS_CASE4		({__asm__(GETGROUPS_MAGIC4);}), OSC_DSTSIZE(_sz)

#define GETHOSTNAME_CASE1		({__asm__(GETHOSTNAME_MAGIC1);}), OSC_DSTSIZE(_sz)
#define GETHOSTNAME_CASE2		({__asm__(GETHOSTNAME_MAGIC2);}), OSC_DSTSIZE(_sz)
#define GETHOSTNAME_CASE3		({__asm__(GETHOSTNAME_MAGIC3);}), OSC_DSTSIZE(_sz)
#define GETHOSTNAME_CASE4		({__asm__(GETHOSTNAME_MAGIC4);}), OSC_DSTSIZE(_sz)

#define GETS_CASE1		({__asm__(GETS_MAGIC1);}), OSC_DSTSIZE(_sz)
#define GETS_CASE2		({__asm__(GETS_MAGIC2);}), OSC_DSTSIZE(_sz)
#define GETS_CASE3		({__asm__(GETS_MAGIC3);}), OSC_DSTSIZE(_sz)
#define GETS_CASE4		({__asm__(GETS_MAGIC4);}), OSC_DSTSIZE(_sz)

#define GETWD_CASE1		({__asm__(GETWD_MAGIC1);}), OSC_DSTSIZE(_sz)
#define GETWD_CASE2		({__asm__(GETWD_MAGIC2);}), OSC_DSTSIZE(_sz)
#define GETWD_CASE3		({__asm__(GETWD_MAGIC3);}), OSC_DSTSIZE(_sz)
#define GETWD_CASE4		({__asm__(GETWD_MAGIC4);}), OSC_DSTSIZE(_sz)

#define LONGJMP_CASE1		({__asm__(LONGJMP_MAGIC1);}),
#define LONGJMP_CASE2		({__asm__(LONGJMP_MAGIC2);}),
#define LONGJMP_CASE3		({__asm__(LONGJMP_MAGIC3);}),
#define LONGJMP_CASE4		({__asm__(LONGJMP_MAGIC4);}),

#define MBSNRTOWCS_CASE1		({__asm__(MBSNRTOWCS_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define MBSNRTOWCS_CASE2		({__asm__(MBSNRTOWCS_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define MBSNRTOWCS_CASE3		({__asm__(MBSNRTOWCS_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define MBSNRTOWCS_CASE4		({__asm__(MBSNRTOWCS_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define MBSRTOWCS_CASE1		({__asm__(MBSRTOWCS_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define MBSRTOWCS_CASE2		({__asm__(MBSRTOWCS_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define MBSRTOWCS_CASE3		({__asm__(MBSRTOWCS_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define MBSRTOWCS_CASE4		({__asm__(MBSRTOWCS_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define MBSTOWCS_CASE1		({__asm__(MBSTOWCS_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define MBSTOWCS_CASE2		({__asm__(MBSTOWCS_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define MBSTOWCS_CASE3		({__asm__(MBSTOWCS_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define MBSTOWCS_CASE4		({__asm__(MBSTOWCS_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define MEMPCPY_CASE1		({__asm__(MEMPCPY_MAGIC1);}), OSC_DSTSIZE(_sz)
#define MEMPCPY_CASE2		({__asm__(MEMPCPY_MAGIC2);}), OSC_DSTSIZE(_sz)
#define MEMPCPY_CASE3		({__asm__(MEMPCPY_MAGIC3);}), OSC_DSTSIZE(_sz)
#define MEMPCPY_CASE4		({__asm__(MEMPCPY_MAGIC4);}), OSC_DSTSIZE(_sz)

#define POLL_CASE1		({__asm__(POLL_MAGIC1);}), OSC_DSTSIZE(_sz)
#define POLL_CASE2		({__asm__(POLL_MAGIC2);}), OSC_DSTSIZE(_sz)
#define POLL_CASE3		({__asm__(POLL_MAGIC3);}), OSC_DSTSIZE(_sz)
#define POLL_CASE4		({__asm__(POLL_MAGIC4);}), OSC_DSTSIZE(_sz)

#define PPOLL_CASE1		({__asm__(PPOLL_MAGIC1);}), OSC_DSTSIZE(_sz)
#define PPOLL_CASE2		({__asm__(PPOLL_MAGIC2);}), OSC_DSTSIZE(_sz)
#define PPOLL_CASE3		({__asm__(PPOLL_MAGIC3);}), OSC_DSTSIZE(_sz)
#define PPOLL_CASE4		({__asm__(PPOLL_MAGIC4);}), OSC_DSTSIZE(_sz)

#define PREAD_CASE1		({__asm__(PREAD_MAGIC1);}), OSC_DSTSIZE(_sz)
#define PREAD_CASE2		({__asm__(PREAD_MAGIC2);}), OSC_DSTSIZE(_sz)
#define PREAD_CASE3		({__asm__(PREAD_MAGIC3);}), OSC_DSTSIZE(_sz)
#define PREAD_CASE4		({__asm__(PREAD_MAGIC4);}), OSC_DSTSIZE(_sz)

#define PRINTF_CASE1		({__asm__(PRINTF_MAGIC1);}),
#define PRINTF_CASE2		({__asm__(PRINTF_MAGIC2);}),
#define PRINTF_CASE3		({__asm__(PRINTF_MAGIC3);}),
#define PRINTF_CASE4		({__asm__(PRINTF_MAGIC4);}),

#define READ_CASE1		({__asm__(READ_MAGIC1);}), OSC_DSTSIZE(_sz)
#define READ_CASE2		({__asm__(READ_MAGIC2);}), OSC_DSTSIZE(_sz)
#define READ_CASE3		({__asm__(READ_MAGIC3);}), OSC_DSTSIZE(_sz)
#define READ_CASE4		({__asm__(READ_MAGIC4);}), OSC_DSTSIZE(_sz)

#define READLINKAT_CASE1		({__asm__(READLINKAT_MAGIC1);}), OSC_DSTSIZE(_sz)
#define READLINKAT_CASE2		({__asm__(READLINKAT_MAGIC2);}), OSC_DSTSIZE(_sz)
#define READLINKAT_CASE3		({__asm__(READLINKAT_MAGIC3);}), OSC_DSTSIZE(_sz)
#define READLINKAT_CASE4		({__asm__(READLINKAT_MAGIC4);}), OSC_DSTSIZE(_sz)

#define READLINK_CASE1		({__asm__(READLINK_MAGIC1);}), OSC_DSTSIZE(_sz)
#define READLINK_CASE2		({__asm__(READLINK_MAGIC2);}), OSC_DSTSIZE(_sz)
#define READLINK_CASE3		({__asm__(READLINK_MAGIC3);}), OSC_DSTSIZE(_sz)
#define READLINK_CASE4		({__asm__(READLINK_MAGIC4);}), OSC_DSTSIZE(_sz)

#define REALPATH_CASE1		({__asm__(REALPATH_MAGIC1);}), OSC_DSTSIZE(_sz)
#define REALPATH_CASE2		({__asm__(REALPATH_MAGIC2);}), OSC_DSTSIZE(_sz)
#define REALPATH_CASE3		({__asm__(REALPATH_MAGIC3);}), OSC_DSTSIZE(_sz)
#define REALPATH_CASE4		({__asm__(REALPATH_MAGIC4);}), OSC_DSTSIZE(_sz)

#define RECV_CASE1		({__asm__(RECV_MAGIC1);}), OSC_DSTSIZE(_sz)
#define RECV_CASE2		({__asm__(RECV_MAGIC2);}), OSC_DSTSIZE(_sz)
#define RECV_CASE3		({__asm__(RECV_MAGIC3);}), OSC_DSTSIZE(_sz)
#define RECV_CASE4		({__asm__(RECV_MAGIC4);}), OSC_DSTSIZE(_sz)

#define RECVFROM_CASE1		({__asm__(RECVFROM_MAGIC1);}), OSC_DSTSIZE(_sz)
#define RECVFROM_CASE2		({__asm__(RECVFROM_MAGIC2);}), OSC_DSTSIZE(_sz)
#define RECVFROM_CASE3		({__asm__(RECVFROM_MAGIC3);}), OSC_DSTSIZE(_sz)
#define RECVFROM_CASE4		({__asm__(RECVFROM_MAGIC4);}), OSC_DSTSIZE(_sz)

#define SNPRINTF_CASE1		({__asm__(SNPRINTF_MAGIC1);}), OSC_DSTSIZE(_sz)
#define SNPRINTF_CASE2		({__asm__(SNPRINTF_MAGIC2);}), OSC_DSTSIZE(_sz)
#define SNPRINTF_CASE3		({__asm__(SNPRINTF_MAGIC3);}), OSC_DSTSIZE(_sz)
#define SNPRINTF_CASE4		({__asm__(SNPRINTF_MAGIC4);}), OSC_DSTSIZE(_sz)

#define SPRINTF_CASE1		({__asm__(SPRINTF_MAGIC1);}), OSC_DSTSIZE(_sz)
#define SPRINTF_CASE2		({__asm__(SPRINTF_MAGIC2);}), OSC_DSTSIZE(_sz)
#define SPRINTF_CASE3		({__asm__(SPRINTF_MAGIC3);}), OSC_DSTSIZE(_sz)
#define SPRINTF_CASE4		({__asm__(SPRINTF_MAGIC4);}), OSC_DSTSIZE(_sz)

#define STPCPY_CASE1		({__asm__(STPCPY_MAGIC1);}), OSC_DSTSIZE(_sz)
#define STPCPY_CASE2		({__asm__(STPCPY_MAGIC2);}), OSC_DSTSIZE(_sz)
#define STPCPY_CASE3		({__asm__(STPCPY_MAGIC3);}), OSC_DSTSIZE(_sz)
#define STPCPY_CASE4		({__asm__(STPCPY_MAGIC4);}), OSC_DSTSIZE(_sz)

#define STPNCPY_CASE1		({__asm__(STPNCPY_MAGIC1);}), OSC_DSTSIZE(_sz)
#define STPNCPY_CASE2		({__asm__(STPNCPY_MAGIC2);}), OSC_DSTSIZE(_sz)
#define STPNCPY_CASE3		({__asm__(STPNCPY_MAGIC3);}), OSC_DSTSIZE(_sz)
#define STPNCPY_CASE4		({__asm__(STPNCPY_MAGIC4);}), OSC_DSTSIZE(_sz)

#define SWPRINTF_CASE1		({__asm__(SWPRINTF_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define SWPRINTF_CASE2		({__asm__(SWPRINTF_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define SWPRINTF_CASE3		({__asm__(SWPRINTF_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define SWPRINTF_CASE4		({__asm__(SWPRINTF_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define TTYNAME_R_CASE1		({__asm__(TTYNAME_R_MAGIC1);}), OSC_DSTSIZE(_sz)
#define TTYNAME_R_CASE2		({__asm__(TTYNAME_R_MAGIC2);}), OSC_DSTSIZE(_sz)
#define TTYNAME_R_CASE3		({__asm__(TTYNAME_R_MAGIC3);}), OSC_DSTSIZE(_sz)
#define TTYNAME_R_CASE4		({__asm__(TTYNAME_R_MAGIC4);}), OSC_DSTSIZE(_sz)

#define VASPRINTF_CASE1		({__asm__(VASPRINTF_MAGIC1);}),
#define VASPRINTF_CASE2		({__asm__(VASPRINTF_MAGIC2);}),
#define VASPRINTF_CASE3		({__asm__(VASPRINTF_MAGIC3);}),
#define VASPRINTF_CASE4		({__asm__(VASPRINTF_MAGIC4);}),

#define VDPRINTF_CASE1		({__asm__(VDPRINTF_MAGIC1);}),
#define VDPRINTF_CASE2		({__asm__(VDPRINTF_MAGIC2);}),
#define VDPRINTF_CASE3		({__asm__(VDPRINTF_MAGIC3);}),
#define VDPRINTF_CASE4		({__asm__(VDPRINTF_MAGIC4);}),

#define VFPRINTF_CASE1		({__asm__(VFPRINTF_MAGIC1);}),
#define VFPRINTF_CASE2		({__asm__(VFPRINTF_MAGIC2);}),
#define VFPRINTF_CASE3		({__asm__(VFPRINTF_MAGIC3);}),
#define VFPRINTF_CASE4		({__asm__(VFPRINTF_MAGIC4);}),

#define VFWPRINTF_CASE1		({__asm__(VFWPRINTF_MAGIC1);}),
#define VFWPRINTF_CASE2		({__asm__(VFWPRINTF_MAGIC2);}),
#define VFWPRINTF_CASE3		({__asm__(VFWPRINTF_MAGIC3);}),
#define VFWPRINTF_CASE4		({__asm__(VFWPRINTF_MAGIC4);}),

#define VPRINTF_CASE1		({__asm__(VPRINTF_MAGIC1);}),
#define VPRINTF_CASE2		({__asm__(VPRINTF_MAGIC2);}),
#define VPRINTF_CASE3		({__asm__(VPRINTF_MAGIC3);}),
#define VPRINTF_CASE4		({__asm__(VPRINTF_MAGIC4);}),

#define VSPRINTF_CASE1		({__asm__(VSPRINTF_MAGIC1);}), OSC_DSTSIZE(_sz)
#define VSPRINTF_CASE2		({__asm__(VSPRINTF_MAGIC2);}), OSC_DSTSIZE(_sz)
#define VSPRINTF_CASE3		({__asm__(VSPRINTF_MAGIC3);}), OSC_DSTSIZE(_sz)
#define VSPRINTF_CASE4		({__asm__(VSPRINTF_MAGIC4);}), OSC_DSTSIZE(_sz)

#define VSWPRINTF_CASE1		({__asm__(VSWPRINTF_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define VSWPRINTF_CASE2		({__asm__(VSWPRINTF_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define VSWPRINTF_CASE3		({__asm__(VSWPRINTF_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define VSWPRINTF_CASE4		({__asm__(VSWPRINTF_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define VWPRINTF_CASE1		({__asm__(VWPRINTF_MAGIC1);}),
#define VWPRINTF_CASE2		({__asm__(VWPRINTF_MAGIC2);}),
#define VWPRINTF_CASE3		({__asm__(VWPRINTF_MAGIC3);}),
#define VWPRINTF_CASE4		({__asm__(VWPRINTF_MAGIC4);}),

#define WCPCPY_CASE1		({__asm__(WCPCPY_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WCPCPY_CASE2		({__asm__(WCPCPY_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WCPCPY_CASE3		({__asm__(WCPCPY_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WCPCPY_CASE4		({__asm__(WCPCPY_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WCPNCPY_CASE1		({__asm__(WCPNCPY_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WCPNCPY_CASE2		({__asm__(WCPNCPY_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WCPNCPY_CASE3		({__asm__(WCPNCPY_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WCPNCPY_CASE4		({__asm__(WCPNCPY_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WCRTOMB_CASE1		({__asm__(WCRTOMB_MAGIC1);}), OSC_DSTSIZE(_sz)
#define WCRTOMB_CASE2		({__asm__(WCRTOMB_MAGIC2);}), OSC_DSTSIZE(_sz)
#define WCRTOMB_CASE3		({__asm__(WCRTOMB_MAGIC3);}), OSC_DSTSIZE(_sz)
#define WCRTOMB_CASE4		({__asm__(WCRTOMB_MAGIC4);}), OSC_DSTSIZE(_sz)

#define WCSCAT_CASE1		({__asm__(WCSCAT_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WCSCAT_CASE2		({__asm__(WCSCAT_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WCSCAT_CASE3		({__asm__(WCSCAT_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WCSCAT_CASE4		({__asm__(WCSCAT_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WCSCPY_CASE1		({__asm__(WCSCPY_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WCSCPY_CASE2		({__asm__(WCSCPY_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WCSCPY_CASE3		({__asm__(WCSCPY_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WCSCPY_CASE4		({__asm__(WCSCPY_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WCSNCAT_CASE1		({__asm__(WCSNCAT_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WCSNCAT_CASE2		({__asm__(WCSNCAT_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WCSNCAT_CASE3		({__asm__(WCSNCAT_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WCSNCAT_CASE4		({__asm__(WCSNCAT_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WCSNCPY_CASE1		({__asm__(WCSNCPY_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WCSNCPY_CASE2		({__asm__(WCSNCPY_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WCSNCPY_CASE3		({__asm__(WCSNCPY_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WCSNCPY_CASE4		({__asm__(WCSNCPY_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WCSNRTOMBS_CASE1		({__asm__(WCSNRTOMBS_MAGIC1);}), OSC_DSTSIZE(_sz)
#define WCSNRTOMBS_CASE2		({__asm__(WCSNRTOMBS_MAGIC2);}), OSC_DSTSIZE(_sz)
#define WCSNRTOMBS_CASE3		({__asm__(WCSNRTOMBS_MAGIC3);}), OSC_DSTSIZE(_sz)
#define WCSNRTOMBS_CASE4		({__asm__(WCSNRTOMBS_MAGIC4);}), OSC_DSTSIZE(_sz)

#define WCSRTOMBS_CASE1		({__asm__(WCSRTOMBS_MAGIC1);}), OSC_DSTSIZE(_sz)
#define WCSRTOMBS_CASE2		({__asm__(WCSRTOMBS_MAGIC2);}), OSC_DSTSIZE(_sz)
#define WCSRTOMBS_CASE3		({__asm__(WCSRTOMBS_MAGIC3);}), OSC_DSTSIZE(_sz)
#define WCSRTOMBS_CASE4		({__asm__(WCSRTOMBS_MAGIC4);}), OSC_DSTSIZE(_sz)

#define WCSTOMBS_CASE1		({__asm__(WCSTOMBS_MAGIC1);}), OSC_DSTSIZE(_sz)
#define WCSTOMBS_CASE2		({__asm__(WCSTOMBS_MAGIC2);}), OSC_DSTSIZE(_sz)
#define WCSTOMBS_CASE3		({__asm__(WCSTOMBS_MAGIC3);}), OSC_DSTSIZE(_sz)
#define WCSTOMBS_CASE4		({__asm__(WCSTOMBS_MAGIC4);}), OSC_DSTSIZE(_sz)

#define WCTOMB_CASE1		({__asm__(WCTOMB_MAGIC1);}), OSC_DSTSIZE(_sz)
#define WCTOMB_CASE2		({__asm__(WCTOMB_MAGIC2);}), OSC_DSTSIZE(_sz)
#define WCTOMB_CASE3		({__asm__(WCTOMB_MAGIC3);}), OSC_DSTSIZE(_sz)
#define WCTOMB_CASE4		({__asm__(WCTOMB_MAGIC4);}), OSC_DSTSIZE(_sz)

#define WMEMCPY_CASE1		({__asm__(WMEMCPY_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMCPY_CASE2		({__asm__(WMEMCPY_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMCPY_CASE3		({__asm__(WMEMCPY_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMCPY_CASE4		({__asm__(WMEMCPY_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WMEMMOVE_CASE1		({__asm__(WMEMMOVE_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMMOVE_CASE2		({__asm__(WMEMMOVE_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMMOVE_CASE3		({__asm__(WMEMMOVE_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMMOVE_CASE4		({__asm__(WMEMMOVE_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WMEMPCPY_CASE1		({__asm__(WMEMPCPY_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMPCPY_CASE2		({__asm__(WMEMPCPY_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMPCPY_CASE3		({__asm__(WMEMPCPY_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMPCPY_CASE4		({__asm__(WMEMPCPY_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WMEMSET_CASE1		({__asm__(WMEMSET_MAGIC1);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMSET_CASE2		({__asm__(WMEMSET_MAGIC2);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMSET_CASE3		({__asm__(WMEMSET_MAGIC3);}), OSC_DSTSIZE(_sz_bytes)
#define WMEMSET_CASE4		({__asm__(WMEMSET_MAGIC4);}), OSC_DSTSIZE(_sz_bytes)

#define WPRINTF_CASE1		({__asm__(WPRINTF_MAGIC1);}),
#define WPRINTF_CASE2		({__asm__(WPRINTF_MAGIC2);}),
#define WPRINTF_CASE3		({__asm__(WPRINTF_MAGIC3);}),
#define WPRINTF_CASE4		({__asm__(WPRINTF_MAGIC4);}),


#else  /* !OPENOSC_METRIC_FEATURE_ENABLED */

#define ASPRINTF_CASE1
#define ASPRINTF_CASE2
#define ASPRINTF_CASE3
#define ASPRINTF_CASE4

#define CONFSTR_CASE1
#define CONFSTR_CASE2
#define CONFSTR_CASE3
#define CONFSTR_CASE4

#define DPRINTF_CASE1
#define DPRINTF_CASE2
#define DPRINTF_CASE3
#define DPRINTF_CASE4

#define FGETS_CASE1
#define FGETS_CASE2
#define FGETS_CASE3
#define FGETS_CASE4

#define FGETS_UNLOCKED_CASE1
#define FGETS_UNLOCKED_CASE2
#define FGETS_UNLOCKED_CASE3
#define FGETS_UNLOCKED_CASE4

#define FGETWS_CASE1
#define FGETWS_CASE2
#define FGETWS_CASE3
#define FGETWS_CASE4

#define FGETWS_UNLOCKED_CASE1
#define FGETWS_UNLOCKED_CASE2
#define FGETWS_UNLOCKED_CASE3
#define FGETWS_UNLOCKED_CASE4

#define FPRINTF_CASE1
#define FPRINTF_CASE2
#define FPRINTF_CASE3
#define FPRINTF_CASE4

#define FREAD_CASE1
#define FREAD_CASE2
#define FREAD_CASE3
#define FREAD_CASE4

#define FREAD_UNLOCKED_CASE1
#define FREAD_UNLOCKED_CASE2
#define FREAD_UNLOCKED_CASE3
#define FREAD_UNLOCKED_CASE4

#define FWPRINTF_CASE1
#define FWPRINTF_CASE2
#define FWPRINTF_CASE3
#define FWPRINTF_CASE4

#define GETCWD_CASE1
#define GETCWD_CASE2
#define GETCWD_CASE3
#define GETCWD_CASE4

#define GETDOMAINNAME_CASE1
#define GETDOMAINNAME_CASE2
#define GETDOMAINNAME_CASE3
#define GETDOMAINNAME_CASE4

#define GETGROUPS_CASE1
#define GETGROUPS_CASE2
#define GETGROUPS_CASE3
#define GETGROUPS_CASE4

#define GETHOSTNAME_CASE1
#define GETHOSTNAME_CASE2
#define GETHOSTNAME_CASE3
#define GETHOSTNAME_CASE4

#define GETS_CASE1
#define GETS_CASE2
#define GETS_CASE3
#define GETS_CASE4

#define GETWD_CASE1
#define GETWD_CASE2
#define GETWD_CASE3
#define GETWD_CASE4

#define LONGJMP_CASE1
#define LONGJMP_CASE2
#define LONGJMP_CASE3
#define LONGJMP_CASE4

#define MBSNRTOWCS_CASE1
#define MBSNRTOWCS_CASE2
#define MBSNRTOWCS_CASE3
#define MBSNRTOWCS_CASE4

#define MBSRTOWCS_CASE1
#define MBSRTOWCS_CASE2
#define MBSRTOWCS_CASE3
#define MBSRTOWCS_CASE4

#define MBSTOWCS_CASE1
#define MBSTOWCS_CASE2
#define MBSTOWCS_CASE3
#define MBSTOWCS_CASE4

#define MEMPCPY_CASE1
#define MEMPCPY_CASE2
#define MEMPCPY_CASE3
#define MEMPCPY_CASE4

#define POLL_CASE1
#define POLL_CASE2
#define POLL_CASE3
#define POLL_CASE4

#define PPOLL_CASE1
#define PPOLL_CASE2
#define PPOLL_CASE3
#define PPOLL_CASE4

#define PREAD_CASE1
#define PREAD_CASE2
#define PREAD_CASE3
#define PREAD_CASE4

#define PRINTF_CASE1
#define PRINTF_CASE2
#define PRINTF_CASE3
#define PRINTF_CASE4

#define READ_CASE1
#define READ_CASE2
#define READ_CASE3
#define READ_CASE4

#define READLINKAT_CASE1
#define READLINKAT_CASE2
#define READLINKAT_CASE3
#define READLINKAT_CASE4

#define READLINK_CASE1
#define READLINK_CASE2
#define READLINK_CASE3
#define READLINK_CASE4

#define REALPATH_CASE1
#define REALPATH_CASE2
#define REALPATH_CASE3
#define REALPATH_CASE4

#define RECV_CASE1
#define RECV_CASE2
#define RECV_CASE3
#define RECV_CASE4

#define RECVFROM_CASE1
#define RECVFROM_CASE2
#define RECVFROM_CASE3
#define RECVFROM_CASE4

#define SNPRINTF_CASE1
#define SNPRINTF_CASE2
#define SNPRINTF_CASE3
#define SNPRINTF_CASE4

#define SPRINTF_CASE1
#define SPRINTF_CASE2
#define SPRINTF_CASE3
#define SPRINTF_CASE4

#define STPCPY_CASE1
#define STPCPY_CASE2
#define STPCPY_CASE3
#define STPCPY_CASE4

#define STPNCPY_CASE1
#define STPNCPY_CASE2
#define STPNCPY_CASE3
#define STPNCPY_CASE4

#define SWPRINTF_CASE1
#define SWPRINTF_CASE2
#define SWPRINTF_CASE3
#define SWPRINTF_CASE4

#define TTYNAME_R_CASE1
#define TTYNAME_R_CASE2
#define TTYNAME_R_CASE3
#define TTYNAME_R_CASE4

#define VASPRINTF_CASE1
#define VASPRINTF_CASE2
#define VASPRINTF_CASE3
#define VASPRINTF_CASE4

#define VDPRINTF_CASE1
#define VDPRINTF_CASE2
#define VDPRINTF_CASE3
#define VDPRINTF_CASE4

#define VFPRINTF_CASE1
#define VFPRINTF_CASE2
#define VFPRINTF_CASE3
#define VFPRINTF_CASE4

#define VFWPRINTF_CASE1
#define VFWPRINTF_CASE2
#define VFWPRINTF_CASE3
#define VFWPRINTF_CASE4

#define VPRINTF_CASE1
#define VPRINTF_CASE2
#define VPRINTF_CASE3
#define VPRINTF_CASE4

#define VSPRINTF_CASE1
#define VSPRINTF_CASE2
#define VSPRINTF_CASE3
#define VSPRINTF_CASE4

#define VSWPRINTF_CASE1
#define VSWPRINTF_CASE2
#define VSWPRINTF_CASE3
#define VSWPRINTF_CASE4

#define VWPRINTF_CASE1
#define VWPRINTF_CASE2
#define VWPRINTF_CASE3
#define VWPRINTF_CASE4

#define WCPCPY_CASE1
#define WCPCPY_CASE2
#define WCPCPY_CASE3
#define WCPCPY_CASE4

#define WCPNCPY_CASE1
#define WCPNCPY_CASE2
#define WCPNCPY_CASE3
#define WCPNCPY_CASE4

#define WCRTOMB_CASE1
#define WCRTOMB_CASE2
#define WCRTOMB_CASE3
#define WCRTOMB_CASE4

#define WCSCAT_CASE1
#define WCSCAT_CASE2
#define WCSCAT_CASE3
#define WCSCAT_CASE4

#define WCSCPY_CASE1
#define WCSCPY_CASE2
#define WCSCPY_CASE3
#define WCSCPY_CASE4

#define WCSNCAT_CASE1
#define WCSNCAT_CASE2
#define WCSNCAT_CASE3
#define WCSNCAT_CASE4

#define WCSNCPY_CASE1
#define WCSNCPY_CASE2
#define WCSNCPY_CASE3
#define WCSNCPY_CASE4

#define WCSNRTOMBS_CASE1
#define WCSNRTOMBS_CASE2
#define WCSNRTOMBS_CASE3
#define WCSNRTOMBS_CASE4

#define WCSRTOMBS_CASE1
#define WCSRTOMBS_CASE2
#define WCSRTOMBS_CASE3
#define WCSRTOMBS_CASE4

#define WCSTOMBS_CASE1
#define WCSTOMBS_CASE2
#define WCSTOMBS_CASE3
#define WCSTOMBS_CASE4

#define WCTOMB_CASE1
#define WCTOMB_CASE2
#define WCTOMB_CASE3
#define WCTOMB_CASE4

#define WMEMCPY_CASE1
#define WMEMCPY_CASE2
#define WMEMCPY_CASE3
#define WMEMCPY_CASE4

#define WMEMMOVE_CASE1
#define WMEMMOVE_CASE2
#define WMEMMOVE_CASE3
#define WMEMMOVE_CASE4

#define WMEMPCPY_CASE1
#define WMEMPCPY_CASE2
#define WMEMPCPY_CASE3
#define WMEMPCPY_CASE4

#define WMEMSET_CASE1
#define WMEMSET_CASE2
#define WMEMSET_CASE3
#define WMEMSET_CASE4

#define WPRINTF_CASE1
#define WPRINTF_CASE2
#define WPRINTF_CASE3
#define WPRINTF_CASE4


#endif  /* OPENOSC_METRIC_FEATURE_ENABLED */




#endif  /* __OPENOSC_FORTIFY_MAP_METRIC_H__ */
